Does an iOS game running Unity Ads also need the iOS 14 support package installed?

I am referring to this: Unity - Manual: iOS 14 Advertising Support

This is from what I saw, responsible for handling the ATT (Application Tracking Transparency). I read people had apps rejected by Apple for not complying with this, but yet I don’t see much mention of this at all. From what I researched, this seems to be unnecessary if you are already running a recent version of Unity Ads SDK? Currently I’m running Unity Ads v3.7.5. Do I need to install this as well, or is it already being handled?

With the latest Unity Ads I automatically get the 'Allow app to track' consent dialog as my game loads on an iOS device.

Is this what you're referring to?

Yes exactly. Apparently the Unity Ads iOS 14 Support package (https://docs.unity3d.com/Manual/com.unity.ads.ios-support.html) is suppose to enable the ‘Allow app to track’ consent dialog, but I hear people with just the Unity Ads SDK have it already, such as yourself. So, I just want to make sure if I even need that package (and whats the point of it really).

In my app I need to query if the user has authorised ATT or not. It looks like Unity Ads doesn’t come out the box with this, and this is why you will need to install the iOS 14 support package.

https://docs.unity.com/ads/ATTCompliance.htm

using UnityEngine;
#if UNITY_IOS
// Include the IosSupport namespace if running on iOS:
using Unity.Advertisement.IosSupport;
#endif
public class AttPermissionRequest : MonoBehaviour {
    void Awake() {
#if UNITY_IOS
        // Check the user's consent status.
        // If the status is undetermined, display the request request:
        if(ATTrackingStatusBinding.GetAuthorizationTrackingStatus() == ATTrackingStatusBinding.AuthorizationTrackingStatus.NOT_DETERMINED) {
            ATTrackingStatusBinding.RequestAuthorizationTracking();
        }
#endif
    }
}